Summary:	Lists files open by processes
Name:		lsof
Version:	4.98.0
Release:	%mkrel 1
# Sendmail .. lib/snpf.c
# LGPLv2+  .. lib/regex.c, regex.h
License:	zlib and Sendmail and LGPLv2+
Group:		Monitoring
Url:		https://github.com/lsof-org/lsof
Source0:	https://github.com/lsof-org/lsof/archive/%{version}/%{name}-%{version}.tar.gz
# patch that enable the option to prevent user from seeing all
# open file with lsof ( not upstreamable )
Patch1:		lsof_4.60-has-security.patch
# BZ#1260300 - move lsof man page to section 1
Patch3:		lsof-man-page-section.patch
BuildRequires:	gcc
BuildRequires:	libselinux-devel
BuildRequires:	libtirpc-devel
BuildRequires:	groff

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%autosetup -p1

%build
LINUX_BASE=/proc LSOF_LDFLAGS="%{ldflags}" ./Configure -n linux

find -name Makefile | xargs perl -pi -e "s|^CFGL=.*|CFGL=%{ldflags} -L./lib -llsof -lselinux -ltirpc|g"

%make_build DEBUG="%{optflags} -I/usr/include/tirpc"

# rebase to 4.93 introduced change in Lsof.8 with unhandled .so inclusion
soelim -r Lsof.8 > lsof.1

%install
install -m 0755 %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m 0644 lsof.1 -D %{buildroot}%{_mandir}/man1/lsof.1

%files
%doc 00*
%{_sbindir}/%{name}
%{_mandir}/man1/lsof.1*


%changelog
* Tue Jan 24 2023 daviddavid <daviddavid> 4.98.0-1.mga9
+ Revision: 1935522
- new version: 4.98.0

* Sat Mar 26 2022 umeabot <umeabot> 4.94.0-2.mga9
+ Revision: 1827625
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 4.94.0-1.mga8
+ Revision: 1647145
- 4.94.0

* Sat Feb 15 2020 umeabot <umeabot> 4.93.2-2.mga8
+ Revision: 1527242
- Mageia 8 Mass Rebuild

* Sat Jul 13 2019 daviddavid <daviddavid> 4.93.2-1.mga8
+ Revision: 1420941
- new version: 4.93.2
- upstream moved to GitHub and tarball structure changed
- manpage patch needed to reflect the tarball change

* Sun Sep 23 2018 umeabot <umeabot> 4.91-2.mga7
+ Revision: 1299358
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 daviddavid <daviddavid> 4.91-1.mga7
+ Revision: 1222352
- new version: 4.91
- update URL and Source URL

* Fri Feb 12 2016 umeabot <umeabot> 4.89-2.mga6
+ Revision: 956052
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 ovitters <ovitters> 4.89-1.mga6
+ Revision: 888535
- new version 4.89
+ tv <tv>
- do not strip binary

* Sun Jun 21 2015 luigiwalser <luigiwalser> 4.88-1.mga6
+ Revision: 837067
- 4.88
- update source URLs

* Wed Oct 15 2014 umeabot <umeabot> 4.87-4.mga5
+ Revision: 749435
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.87-3.mga5
+ Revision: 682016
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.87-2.mga4
+ Revision: 521941
- Mageia 4 Mass Rebuild

* Thu Jan 31 2013 luigiwalser <luigiwalser> 4.87-1.mga3
+ Revision: 393689
- 4.87

* Sat Jan 12 2013 umeabot <umeabot> 4.86-2.mga3
+ Revision: 359030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 luigiwalser <luigiwalser> 4.86-1.mga3
+ Revision: 253493
- 4.86

* Mon Jan 23 2012 guillomovitch <guillomovitch> 4.85-1.mga2
+ Revision: 199967
- new version
- spec cleanup

* Fri Feb 18 2011 misc <misc> 4.84-1.mga1
+ Revision: 53389
- add comment on the 2 bundled patches
+ kharec <kharec>
- imported package lsof


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 4.84-1mdv2011.0
+ Revision: 570167
- New version 4.84

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 4.83-2mdv2010.1
+ Revision: 519034
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 4.83

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.81-3mdv2010.0
+ Revision: 426013
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 4.81-2mdv2009.1
+ Revision: 317039
- rediffed one fuzzy patch
- use %%ldflags

* Fri Oct 31 2008 Frederik Himpe <fhimpe@mandriva.org> 4.81-1mdv2009.1
+ Revision: 299009
- update to new version 4.81

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 4.80-1mdv2009.0
+ Revision: 276517
- new release
- include signature
- fix URL

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.78-4mdv2009.0
+ Revision: 223132
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.78-3mdv2008.1
+ Revision: 152875
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.78-2mdv2008.1
+ Revision: 152873
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 4.78-1mdv2008.0
+ Revision: 80037
- new release


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.0
+ Revision: 114680
- Import lsof

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.1
- unpack patches
- New version 4.77

* Wed Oct 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.76-1mdk
- new release

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.74-1mdk
- new release

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.73-1mdk
- 4.73
- cosmetics

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 4.71-1mdk
- 4.71

